Bug 151608 - Impress crashes after Impress Remote App Closed
Summary: Impress crashes after Impress Remote App Closed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.4.1.2 release
Hardware: All All
: medium normal
Assignee: dldld
URL:
Whiteboard: target:7.5.0 target:7.4.3
Keywords:
Depends on:
Blocks:
 
Reported: 2022-10-17 15:49 UTC by dldld
Modified: 2022-11-07 04:32 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dldld 2022-10-17 15:49:03 UTC
Description:
Closing the Impress Remote App crashes Impress each time.

Steps to Reproduce:
1. Open presentation
2. Start presentation
3. Open Impress Remote on Android device and connect via WiFi to your impress presentation
4. Close the app completely

Actual Results:
See that impress crashes

Expected Results:
Impress presentation should still be running and only the remote app has disconnected and reconnecting should be possible.


Reproducible: Always


User Profile Reset: No



Additional Info:
Captured backtrace:
[Thread 0x7fff61ffb640 (LWP 47385) exited]
[Thread 0x7fff357fa640 (LWP 47384) exited]
[Thread 0x7fff36ffd640 (LWP 47390) exited]
warn:sal.osl:46986:47349:sal/osl/unx/socket.cxx:1570: receive socket [0] failed: EOL

Thread 85 "CommunicatorThr" received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fff627fc640 (LWP 47349)]
0x00007ffff6eddb6b in com::sun::star::uno::Reference<com::sun::star::uno::XInterface>::Reference (this=0x7fff627fa018, pInterface=0x7fff48000f90) at /nvmedev/libreoffice/include/com/sun/star/uno/Reference.hxx:158
158             _pInterface->acquire();
(gdb) backtrace
#0  0x00007ffff6eddb6b in com::sun::star::uno::Reference<com::sun::star::uno::XInterface>::Reference(com::sun::star::uno::XInterface*)
    (this=0x7fff627fa018, pInterface=0x7fff48000f90) at /nvmedev/libreoffice/include/com/sun/star/uno/Reference.hxx:158
#1  0x00007ffff6fca71f in comphelper::WeakComponentImplHelperBase::dispose() (this=0x7fff48000f90) at /nvmedev/libreoffice/comphelper/source/misc/compbase.cxx:28
#2  0x00007fffa4eda70a in comphelper::WeakComponentImplHelper<com::sun::star::presentation::XSlideShowListener>::dispose() (this=0x7fff48000f90)
    at /nvmedev/libreoffice/include/comphelper/compbase.hxx:71
#3  0x00007fffa4ed9d28 in sd::Communicator::disposeListener() (this=0x55555c4a90c0) at /nvmedev/libreoffice/sd/source/ui/remotecontrol/Communicator.cxx:150
#4  0x00007fffa4ed97ab in sd::Communicator::execute() (this=0x55555c4a90c0) at /nvmedev/libreoffice/sd/source/ui/remotecontrol/Communicator.cxx:116
#5  0x00007ffff5952b08 in salhelper::Thread::run() (this=0x55555c4a90c0) at /nvmedev/libreoffice/salhelper/source/thread.cxx:39
#6  0x00007ffff5952fc4 in osl::threadFunc(void*) (param=0x55555c4a90d0) at /nvmedev/libreoffice/include/osl/thread.hxx:189
#7  0x00007ffff7f37ab5 in osl_thread_start_Impl(void*) (pData=0x7fffbc003cd0) at /nvmedev/libreoffice/sal/osl/unx/thread.cxx:265
#8  0x00007ffff7a01b43 in start_thread (arg=<optimized out>) at ./nptl/pthread_create.c:442
#9  0x00007ffff7a93a00 in clone3 () at ../sysdeps/unix/sysv/linux/x86_64/clone3.S:81
Comment 1 Commit Notification 2022-10-25 11:33:44 UTC
dldld committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e5aa82b259e35e3976734af38fff643ea28767df

tdf#151608: Fix crash in disposing remotecontrol listener

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2022-10-27 11:56:40 UTC
dldld committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/0c743c67bdaff9493196acc80fc2f2c04495c92e

tdf#151608: Fix crash in disposing remotecontrol listener

It will be available in 7.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Buovjaga 2022-11-05 17:02:07 UTC
Thanks, I guess this can be set to fixed. Tip for the future: follow the commit message line length limits as explained in https://wiki.documentfoundation.org/Development/GetInvolved#4._Submit_the_patch
Comment 4 Commit Notification 2022-11-07 04:32:09 UTC
dldld committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6bc0576f8150ab1cc513c2b37347da43128dcb1c

tdf#151608: Follow up comments

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.